# angular.scope.$new

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

Creates a new `scope`, that:

- is a child of the current scope
- will `$become` of type specified via `constructor`

## Usage

    angular.scope.$new(constructor);

### Parameters

- `constructor – {function()} –`

  Constructor function of the type the new scope should assume.

### Returns

`{Object}` –

The newly created child scope.